## git 基本操作


#### 配置代理
```bash
 git config --global http.proxy http://127.0.0.1:7890
 git config --global https.proxy ttp://127.0.0.1:7890
```

#### 更新git

```bash
git update-git-for-windows
```

#### 取消合并

当出现推送被拒，本地分支领先 远端分支，远端分支又有别人提交的代码时。
需要合并远程分支再提交，如果处理不了 需要先取消本地合并 ，
```
git merge --abort
```



#### git revert 的用法

git revert 的作用是通过创建一个新的版本，这个版本的内容与我们要回退到的目标版本一样，但是HEAD指针是指向这个新生成的版本，而不是目标版本。
如果我们想恢复之前的某一版本（该版本不是merge类型），但是又想保留该目标版本后面的版本，记录下这整个版本变动流程，就可以用这种方法。
我们使用git revert HEAD命令就可以创建一个新的版本，此版本与上一个版本相同。



```
git revert HEAD ：撤销前一次 commit
git revert HEAD^ ：撤销前前一次 commit
git revert commit + (commit id)： 撤销指定的版本，撤销也会作为一次提交进行保存。

```





```
git reset --soft HEAD^：将最近一次提交节点的提交记录回退到暂存区
git reset --mixed HEAD^：将最近一次提交节点的提交记录回退到工作区
git reset --hard HEAD^：将最近一次提交节点的提交记录全部清除
git revert是用一次新的commit来回滚之前的commit，git reset是直接删除指定的commit。

```

