# linux管道流之多行输入

### cat<< EOF

```shell
cat<< EOF
>菜单大全：
>青椒炒肉丝
>凉拌黄瓜
>铁锅炖大鹅
EOF

```



### cat<<- EOF

```shell
#忽略前导制表符。
cat<<- EOF
>菜单大全：
>青椒炒肉丝
>凉拌黄瓜
>铁锅炖大鹅
EOF
```



### cat>>/etc/rc.local<< EOF

```shell
cat>>/etc/rc.local<< EOF				#说明：这里的EOF没有加单引号，则shell默认会解析特殊字符，如遇$符号解析变量值
>菜单大全：
>青椒炒肉丝
>凉拌黄瓜
>我家：$PATH								#这里将被解析成环境变量PATH的值
EOF

```



```shell
cat>>/etc/profile<< 'EOF'				#用单引号括起来
>$JAVA_HMOE=/usr/local/java
>PATH=$JAVA_HMOE/bin:$PATH
>export PATH
EOF										#最后这个EOF不需要加单引号，否则shell将识别不了结束符

```



```shell
cat<< 'EOF'	>>/etc/profile				#把EOF放在前面
>$JAVA_HMOE=/usr/local/java
>PATH=$JAVA_HMOE/bin:$PATH
>export PATH
EOF										#最后这个EOF不需要加单引号，否则shell将识别不了结束符
```





